[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

[Bug 787350] Review Request: rubygem-rspec-puppet - RSpec tests for your Puppet manifests



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=787350

--- Comment #2 from Bohuslav "Slavek" Kabrda <bkabrda@xxxxxxxxxx> 2012-05-07 04:13:06 EDT ---
Ok, so first of all, you should use the macros from rubygem-devel package,
which is available from F17 above. [1] Also, please note, that ruby(abi) is
1.9.1 for these.
- If you want to use the package in F16 and below or EPEL, you will need to
define the all the macros (gem_name, gem_dir, ...) conditionally.
- You should mark the LICENSE file as %doc (but leave it in the main package).
- You should also mark the README file as %doc, but probably move it to the
-doc subpackage.

- Otherwise, it would be good to proceed once you convert the specfile to the
F17 way (you can use the newest gem2rpm for that).


[1] https://fedoraproject.org/wiki/Packaging:Ruby#Macros

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
_______________________________________________
package-review mailing list
package-review@xxxxxxxxxxxxxxxxxxxxxxx
https://admin.fedoraproject.org/mailman/listinfo/package-review



[Fedora Legacy]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Add to Google